# -*- encoding: utf-8 -*-
# stub: sinatra 1.4.8 ruby lib

Gem::Specification.new do |s|
  s.name = "sinatra".freeze
  s.version = "1.4.8".freeze

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Blake Mizerany".freeze, "Ryan Tomayko".freeze, "Simon Rozet".freeze, "Konstantin Haase".freeze]
  s.date = "2017-01-30"
  s.description = "Sinatra is a DSL for quickly creating web applications in Ruby with minimal effort.".freeze
  s.email = "sinatrarb@googlegroups.com".freeze
  s.extra_rdoc_files = ["README.de.md".freeze, "README.es.md".freeze, "README.fr.md".freeze, "README.hu.md".freeze, "README.ja.md".freeze, "README.ko.md".freeze, "README.md".freeze, "README.pt-br.md".freeze, "README.pt-pt.md".freeze, "README.ru.md".freeze, "README.zh.md".freeze, "LICENSE".freeze]
  s.files = [".yardopts".freeze, "AUTHORS.md".freeze, "CHANGELOG.md".freeze, "CONTRIBUTING.md".freeze, "Gemfile".freeze, "LICENSE".freeze, "README.de.md".freeze, "README.es.md".freeze, "README.fr.md".freeze, "README.hu.md".freeze, "README.ja.md".freeze, "README.ko.md".freeze, "README.md".freeze, "README.pt-br.md".freeze, "README.pt-pt.md".freeze, "README.ru.md".freeze, "README.zh.md".freeze, "Rakefile".freeze, "examples/chat.rb".freeze, "examples/simple.rb".freeze, "examples/stream.ru".freeze, "lib/sinatra.rb".freeze, "lib/sinatra/base.rb".freeze, "lib/sinatra/ext.rb".freeze, "lib/sinatra/images/404.png".freeze, "lib/sinatra/images/500.png".freeze, "lib/sinatra/main.rb".freeze, "lib/sinatra/show_exceptions.rb".freeze, "lib/sinatra/version.rb".freeze, "sinatra.gemspec".freeze, "test/asciidoctor_test.rb".freeze, "test/base_test.rb".freeze, "test/builder_test.rb".freeze, "test/coffee_test.rb".freeze, "test/compile_test.rb".freeze, "test/contest.rb".freeze, "test/creole_test.rb".freeze, "test/delegator_test.rb".freeze, "test/encoding_test.rb".freeze, "test/erb_test.rb".freeze, "test/extensions_test.rb".freeze, "test/filter_test.rb".freeze, "test/haml_test.rb".freeze, "test/helper.rb".freeze, "test/helpers_test.rb".freeze, "test/integration/app.rb".freeze, "test/integration_helper.rb".freeze, "test/integration_test.rb".freeze, "test/less_test.rb".freeze, "test/liquid_test.rb".freeze, "test/mapped_error_test.rb".freeze, "test/markaby_test.rb".freeze, "test/markdown_test.rb".freeze, "test/mediawiki_test.rb".freeze, "test/middleware_test.rb".freeze, "test/nokogiri_test.rb".freeze, "test/public/favicon.ico".freeze, "test/public/hello+world.txt".freeze, "test/rabl_test.rb".freeze, "test/rack_test.rb".freeze, "test/radius_test.rb".freeze, "test/rdoc_test.rb".freeze, "test/readme_test.rb".freeze, "test/request_test.rb".freeze, "test/response_test.rb".freeze, "test/result_test.rb".freeze, "test/route_added_hook_test.rb".freeze, "test/routing_test.rb".freeze, "test/sass_test.rb".freeze, "test/scss_test.rb".freeze, "test/server_test.rb".freeze, "test/settings_test.rb".freeze, "test/sinatra_test.rb".freeze, "test/slim_test.rb".freeze, "test/static_test.rb".freeze, "test/streaming_test.rb".freeze, "test/stylus_test.rb".freeze, "test/templates_test.rb".freeze, "test/textile_test.rb".freeze, "test/views/a/in_a.str".freeze, "test/views/ascii.erb".freeze, "test/views/b/in_b.str".freeze, "test/views/calc.html.erb".freeze, "test/views/error.builder".freeze, "test/views/error.erb".freeze, "test/views/error.haml".freeze, "test/views/error.sass".freeze, "test/views/explicitly_nested.str".freeze, "test/views/foo/hello.test".freeze, "test/views/hello.asciidoc".freeze, "test/views/hello.builder".freeze, "test/views/hello.coffee".freeze, "test/views/hello.creole".freeze, "test/views/hello.erb".freeze, "test/views/hello.haml".freeze, "test/views/hello.less".freeze, "test/views/hello.liquid".freeze, "test/views/hello.mab".freeze, "test/views/hello.md".freeze, "test/views/hello.mediawiki".freeze, "test/views/hello.nokogiri".freeze, "test/views/hello.rabl".freeze, "test/views/hello.radius".freeze, "test/views/hello.rdoc".freeze, "test/views/hello.sass".freeze, "test/views/hello.scss".freeze, "test/views/hello.slim".freeze, "test/views/hello.str".freeze, "test/views/hello.styl".freeze, "test/views/hello.test".freeze, "test/views/hello.textile".freeze, "test/views/hello.wlang".freeze, "test/views/hello.yajl".freeze, "test/views/layout2.builder".freeze, "test/views/layout2.erb".freeze, "test/views/layout2.haml".freeze, "test/views/layout2.liquid".freeze, "test/views/layout2.mab".freeze, "test/views/layout2.nokogiri".freeze, "test/views/layout2.rabl".freeze, "test/views/layout2.radius".freeze, "test/views/layout2.slim".freeze, "test/views/layout2.str".freeze, "test/views/layout2.test".freeze, "test/views/layout2.wlang".freeze, "test/views/nested.str".freeze, "test/views/utf8.erb".freeze, "test/wlang_test.rb".freeze, "test/yajl_test.rb".freeze]
  s.homepage = "http://www.sinatrarb.com/".freeze
  s.licenses = ["MIT".freeze]
  s.rdoc_options = ["--line-numbers".freeze, "--inline-source".freeze, "--title".freeze, "Sinatra".freeze, "--main".freeze, "README.rdoc".freeze, "--encoding=UTF-8".freeze]
  s.rubygems_version = "2.6.8".freeze
  s.summary = "Classy web-development dressed in a DSL".freeze
  s.test_files = ["test/asciidoctor_test.rb".freeze, "test/base_test.rb".freeze, "test/builder_test.rb".freeze, "test/coffee_test.rb".freeze, "test/compile_test.rb".freeze, "test/creole_test.rb".freeze, "test/delegator_test.rb".freeze, "test/encoding_test.rb".freeze, "test/erb_test.rb".freeze, "test/extensions_test.rb".freeze, "test/filter_test.rb".freeze, "test/haml_test.rb".freeze, "test/helpers_test.rb".freeze, "test/integration_test.rb".freeze, "test/less_test.rb".freeze, "test/liquid_test.rb".freeze, "test/mapped_error_test.rb".freeze, "test/markaby_test.rb".freeze, "test/markdown_test.rb".freeze, "test/mediawiki_test.rb".freeze, "test/middleware_test.rb".freeze, "test/nokogiri_test.rb".freeze, "test/rabl_test.rb".freeze, "test/rack_test.rb".freeze, "test/radius_test.rb".freeze, "test/rdoc_test.rb".freeze, "test/readme_test.rb".freeze, "test/request_test.rb".freeze, "test/response_test.rb".freeze, "test/result_test.rb".freeze, "test/route_added_hook_test.rb".freeze, "test/routing_test.rb".freeze, "test/sass_test.rb".freeze, "test/scss_test.rb".freeze, "test/server_test.rb".freeze, "test/settings_test.rb".freeze, "test/sinatra_test.rb".freeze, "test/slim_test.rb".freeze, "test/static_test.rb".freeze, "test/streaming_test.rb".freeze, "test/stylus_test.rb".freeze, "test/templates_test.rb".freeze, "test/textile_test.rb".freeze, "test/wlang_test.rb".freeze, "test/yajl_test.rb".freeze]

  s.specification_version = 4

  s.add_runtime_dependency(%q<rack>.freeze, ["~> 1.5".freeze])
  s.add_runtime_dependency(%q<tilt>.freeze, [">= 1.3".freeze, "< 3".freeze])
  s.add_runtime_dependency(%q<rack-protection>.freeze, ["~> 1.4".freeze])
end

